Download it now!
Bug 95189 - Paragraph numbering on one paragraph resets when it shouldn't
Summary: Paragraph numbering on one paragraph resets when it shouldn't
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: Other All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2015-10-20 03:19 UTC by Matthew Holloway
Modified: 2020-08-21 22:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Paragraph 7 numbering returns to "1" (36.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-10-20 03:19 UTC, Matthew Holloway
Details
Rendering in Microsoft Office 2013 (44.02 KB, image/png)
2015-10-20 03:20 UTC, Matthew Holloway
Details
Rendering in LibreOffice (75.72 KB, image/png)
2015-10-20 03:21 UTC, Matthew Holloway
Details
Sample compared in MSO LO (114.85 KB, image/png)
2020-05-06 13:09 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Holloway 2015-10-20 03:19:54 UTC
Created attachment 119772 [details]
Paragraph 7 numbering returns to "1"

In the attached document the paragraph numbering is sequential in Microsoft Office 2013 but in LibreOffice (all versions) the numbering resets at paragraph 7. I'll post screenshots showing this.

This bug doesn't appear to be a regression as it occurs in LibreOffice 3.3.0rc4, 4.3.0.3, and 5.0.3.1.
Comment 1 Matthew Holloway 2015-10-20 03:20:22 UTC
Created attachment 119773 [details]
Rendering in Microsoft Office 2013
Comment 2 Matthew Holloway 2015-10-20 03:21:39 UTC
Created attachment 119774 [details]
Rendering in LibreOffice
Comment 3 Buovjaga 2015-10-21 15:05:30 UTC
Confirmed.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-11-08 11:07:55 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:49:50 UTC Comment hidden (obsolete, spam)
Comment 6 Timur 2020-05-06 13:09:10 UTC
Created attachment 160443 [details]
Sample compared in MSO LO

And now..completely different.
Reported behavior was from OO to at least LO 6.0 and 6.3.
But with LO 6.4.0 behavior was fine, to have regression in 7.0+. https://git.libreoffice.org/core/+log/b8fb7ecd9cdbe1898c41eaecd9894df8e8f01e25

So I ask for double bibisect.
Comment 7 Buovjaga 2020-05-06 15:28:07 UTC
(In reply to Timur from comment #6)
> Created attachment 160443 [details]
> Sample compared in MSO LO
> 
> And now..completely different.
> Reported behavior was from OO to at least LO 6.0 and 6.3.
> But with LO 6.4.0 behavior was fine, to have regression in 7.0+.
> https://git.libreoffice.org/core/+log/
> b8fb7ecd9cdbe1898c41eaecd9894df8e8f01e25
> 
> So I ask for double bibisect.

Apparently fixed in 6.4 by https://git.libreoffice.org/core/+/7992bd73a2307edce96a145e954f8e4c3ab9f57d^!/

Checking regression next.
Comment 8 Buovjaga 2020-05-06 15:35:54 UTC
Bibisected with linux 6.5 repo. Regressed from https://git.libreoffice.org/core/+/cf13fe3e6f6a40f6db064d65d4514d13a23a31f0%5E!/
tdf#108496: DOCX: redesign of override in lists

Adding Cc: to Vasily Melenchuk
Comment 9 Commit Notification 2020-05-11 08:41:20 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/628cde6409eb471024a6aca5a8262b00f448c8cf

tdf#95189: docx import: apply list ovverride only once

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Buovjaga 2020-05-11 11:51:35 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 7.0.0.0.alpha1+
Build ID: e84d6f512fceb8b354b2d111193a9fd7d834acc5
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5; 
Locale: en-US (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 11 May 2020
Comment 11 NISZ LibreOffice Team 2020-05-13 07:01:00 UTC
Looks good here too:

Version: 7.0.0.0.alpha1+ (x64)
Build ID: f9790da286f2d2fa47f1748f8cfa6172c6622ca3
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 12 Commit Notification 2020-05-13 08:59:53 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/8ccb18b7e35a4b8f733ecd2b6d12e075410d0468

tdf#95189: docx import: apply list ovverride only once

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Timur 2020-05-13 11:02:26 UTC
Thanks Matthew for reporting, Michael and Vasily for fixes, Buovjaga for bibisects (which I couldn't do myself at the time), Nisz for confirmation.